Create a pipeline

Creates a pipeline. Add its columns afterwards with Create a pipeline stage.

Endpoint

POST
/pipelines

Body

NameTypeRequiredDescription
organization_idintegerYesOrganization to create the pipeline in.
namestringYesDisplay name.
typestringYesdeal, conversation or ticket.
descriptionstringNoDescription.
visibilitystringNopublic (default) or private.
configobjectNoSettings. Deal pipelines may set defaultDealStatus (open, won, lost, all). Conversation pipelines may set channel_scope, e.g. ["whatsapp:12", "instagram"] (channel scope); WhatsApp numbers must belong to the organization.

created_by_user_id is set to the API key's user.

Request

Response

json

Errors

StatusWhen
400 Bad Requestname, type or organization_id is missing, or a value is invalid.
403 ForbiddenThe API key's user has the member role in the organization.

Report an issue with this documentation

Please log in to report issues with our documentation.